Red Hat Security Advisory: perl-IO-Compress security update
Affects Red Hat perlSource GCVE Database
Not known to be exploited · CVSS 7.3 High : upgrade the Ubuntu perl package to 5.38.2-3.2ubuntu0.4 soon.
Data as of 26 Oct 2026, 12:55 UTC
- EPSS
- 0.4% chance of exploitation in 30 days – higher than 37% of CVEsExploit Prediction Scoring System: the likelihood attackers will use this flaw soon.
- Patch
- Available – fixed in 5.38.2-3.2ubuntu0.4
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:LExploitation evidence
Disclosed: evidence found.
CVE published 27 May 2026
Detectable: no evidence on record.
No public nuclei template indexed
Weaponised: no evidence on record.
No public exploit code indexed in Metasploit or Exploit-DB
Exploited in the wildExploited: no evidence on record.
Not in CISA KEV and no source reports exploitation
Observed by OffSeq MirageSeen by Mirage: no evidence on record.
No attack traffic recorded by OffSeq Mirage sensors
A missing step is not evidence of safety. Sources: cve.org (opens in a new tab), the Metasploit, Exploit-DB and nuclei-templates index as of 26 Oct 2026.
What to do
Upgrade the Ubuntu perl package to 5.38.2-3.2ubuntu0.4.
Affected software
| Product | Affected | Fixed in |
|---|---|---|
Ubuntu 26.10libio-compress-perlpkg:deb/ubuntu/libio-compress-perl?arch=source&distro=stonkingOther threats | Affected
| Fixed in– |
Ubuntu 26.10perlpkg:deb/ubuntu/perl?arch=source&distro=stonkingOther threats | Affected
| Fixed in– |
Ubuntu 26.04 LTSlibio-compress-perlpkg:deb/ubuntu/libio-compress-perl?arch=source&distro=resoluteOther threats | Affected
| Fixed in– |
Ubuntu 26.04 LTSperlpkg:deb/ubuntu/perl?arch=source&distro=resoluteOther threats | Affected
| Fixed in– |
Ubuntu 25.10libio-compress-perlpkg:deb/ubuntu/libio-compress-perl?arch=source&distro=questingOther threats | Affected
| Fixed in– |
Ubuntu 25.10perlpkg:deb/ubuntu/perl?arch=source&distro=questingOther threats | Affected
| Fixed in– |
Check your own hosts for these packages with threat-finder (opens in a new tab), our free open-source scanner.
Description
This distribution provides a Perl interface to allow reading and writing of compressed data created with the zlib and bzip2 libraries. IO-Compress supports reading and writing of bzip2, RFC 1950, RFC 1951, RFC 1952 (i.e. gzip) and zip files/buffers. The following modules used to be distributed separately, but are now included with the IO-Compress distribution: * Compress-Zlib * IO-Compress-Zlib * IO-Compress-Bzip2 * IO-Compress-Base Security Fix(es): * perl-IO-Compress: perl-IO-Compress: Arbitrary code execution via attacker-controlled output glob (CVE-2026-48962) For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.